.booking-site-main-wrapper {
  background-color: white;
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  scroll-behavior: smooth;
}


.booking-header {
  background-color: rgb(10, 100, 27);
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  height: 100px;
}

.booking-header-small > .booking-header-account, .booking-header-small > h1 {
  top: 50% !important;
}

.booking-header h1 {
  font-variant: small-caps;
  font-size: 40px;
  margin: 0;
  position: absolute;
  top: 40%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  left: 10vw;
  padding: 4px;
  border-radius: 6px;
}


.booking-header-account {
  position: absolute;
  top: 40%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 10vw;
  padding: 4px;
  border-radius: 8px;
}

.booking-header-account button {
  background-color: white;
  color: rgb(10, 100, 27);
  height: 100%;
  border-radius: 6px;
  border: 2px solid #bbb;
  display: inline-block;
  padding: 5px 20px 5px 20px;
  font-size: 15px;
  font-weight: 600;
}

.booking-header-account button:first-child {
  margin-right: 8px;
}



.booking-searchbar {
  position: absolute;
  top: 100%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  left: 10vw;
  right: 10vw;
  height: 50px;
  background-color: #bbb;
  z-index: 1000;
  border-radius: 6px;
  display: inline-flex;
}

.booking-searchbar div {
  position: relative;
  background-color: white;
  height: 100%;
  margin-right: -1px;
  border-radius: 6px;
  border: 2px solid #bbb;
  display: inline-block;
  flex-basis: 100%;
  padding: 0px 20px 0px 20px;
  text-wrap: nowrap;
}

.booking-searchbar button {
  background-color: rgb(10, 100, 27);
  color: #fff;
  height: 100%;
  border-radius: 6px;
  border: 2px solid #bbb;
  display: inline-block;
  padding: 0px 20px 0px 20px;
  font-size: 18px;
  font-weight: 600;
}

.booking-searchbar span:first-child {
  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  color: black;
}

.booking-searchbar span:last-child {
  position: absolute;
  top: 45%;
  right: 10px;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  color: white;
  background-color: #666;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  text-align: center;
  opacity: 0.7;
  scale: 0.7;
}



.booking-main {
  background-color: white;
  position: absolute;
  top: 100px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  overflow: scroll;
  padding-top: 30px;
  padding-bottom: 140px;
  padding-left: 10vw;
  padding-right: 10vw;
}


/******************************************************************************
*
*  SIDEBAR
*
*******************************************************************************/

.booking-sidebar {
  float: left;
  position: relative;
  color: black;
  width: 25%;
  padding: 10px;
}

.booking-sidebar > div {
  width: 100%;
  border: 1px solid #666;
  border-radius: 10px;
  padding: 0px;
  margin-bottom: 10px;
}

.booking-sidebar > div:not(:has(> div)) {
  padding: 10px;
}

.booking-sidebar > div > div {
  width: 100%;
  border-radius: 0px;
  padding: 10px;
  margin: 10px 0px;
}

.booking-sidebar > div > div:first-child {
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
  margin-top: 0px !important;
}

.booking-sidebar > div > div:last-child {
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
  margin-bottom: 0px !important;
}

.booking-sidebar h3 {
  font-size: 16px;
  font-weight: 600;
  color: #000;
}

.booking-sidebar-divider {
  display: block;
  position: relative;
  left: 0px;
  right: 0px;
  width: 100%;
  height: 1px;
  /* margin: 10px 0px; */
  margin: 0px 0px !important;
  background-color: #666;
}


/* Slider */

.booking-fakeslider {
  position: relative;
  display: block;
  width: 100%;
  height: 20px;
  margin-top: 6px;
}

.booking-fakeslider-line {
  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  left: 0;
  right: 0;
  height: 4px;
  background-color: rgb(10, 100, 27);
}

.booking-fakeslider-thumb1, .booking-fakeslider-thumb2 {
  position: absolute;
  width: 20px;
  height: 20px;
  border-radius: 50%; 
  background-color: rgb(10, 100, 27);
}

.booking-fakeslider-thumb2 {
  right: 0;
}



/******************************************************************************
*
*  CHECKBOXES
*
*******************************************************************************/

.booking-checkbox {
  display: block;
  position: relative;
  padding-left: 30px;
  font-size: 14px;
  margin-top: 6px;
}

.booking-checkbox input {
  position: absolute;
  z-index: -1;
  opacity: 0;
}

.booking-checkmark {
  position: absolute;
  top: 2px;
  left: 0;
  height: 20px;
  width: 20px;
  background: #e6e6e6;
  border: 1px solid #666;
}

.booking-checkbox input:checked ~ .booking-checkmark {
  background-color: rgb(10, 100, 27);
}

.booking-checkmark:after {
  content: '';
  position: absolute;
  display: none;
}

.booking-checkbox input:checked ~ .booking-checkmark:after {
  display: block;
}

.booking-checkbox .booking-checkmark:after {
  left: 8px;
  top: 4px;
  width: 3px;
  height: 8px;
  border: solid #fff;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}




.booking-checkbox-evil {
  display: block;
  position: relative;
  padding-left: 30px;
  font-size: 14px;
  margin-top: 6px;
}

.booking-checkbox-evil input {
  position: absolute;
  z-index: -1;
  opacity: 0;
}

.booking-checkmark-evil {
  position: absolute;
  top: 2px;
  left: 0;
  height: 20px;
  width: 20px;
  background: #e6e6e6;
  border: 1px solid #666;
  border-style: solid;
}

/* Second design with unclear select state*/

.booking-checkbox-evil ~ .booking-checkmark-evil {
  background-color: #bbb;
}

.booking-checkbox-evil input:checked ~ .booking-checkmark-evil {
  background-color: #666;
}

.booking-checkmark-evil:after {
  content: '';
  position: absolute;
  display: none;
  border-style: solid;
}

.booking-checkbox-evil .booking-checkmark-evil:after {
  display: block;
  border-color: #666;
  border-style: solid;
}

.booking-checkbox-evil input:checked ~ .booking-checkmark-evil:after {
  display: block;
  border-color: #bbb;
  border-style: solid;
}

.booking-checkbox-evil .booking-checkmark-evil:after {
  left: 8px;
  top: 4px;
  width: 3px;
  height: 8px;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
  border-style: solid;
}



/******************************************************************************
*
*  LISTINGS
*
*******************************************************************************/

.booking-listings {
  float: right;
  position: relative;
  color: black;
  width: 75%;
  padding: 10px;
}

.booking-listing-sort {
  height: 38px;
  width: 205px;
  padding-top: 8px;
  padding-bottom: 8px;
  padding-left: 12px;
  padding-right: 2px;
  font-size: 14px;
  font-weight: 500;
  border: 1px solid #666;
  border-radius: 19px;
  margin-bottom: 10px;
  text-wrap: nowrap;
}

.booking-listing {
  width: 100%;
  height: 220px !important;
  height: auto;
  border: 1px solid #666;
  border-radius: 8px;
  display: table;
  margin-bottom: 10px;
}

.booking-listing-image-container {
  position: relative;
  display: table-cell;
  width: 220px !important;
  height: 200px !important;
  border-radius: 8px !important;
  padding: 10px;
  overflow: hidden;
}

.booking-listing-image {
  width: 220px !important;
  height: 200px !important;
  border-radius: 8px !important;
  object-fit: cover;
  overflow: hidden;
}

.booking-listing-image-container button {
  position: absolute;
  top: 16px;
  right: 16px;
  width: 32px;
  height: 32px;
  background-color: white;
  border-radius: 50%;
  box-shadow: 0px 0px 5px 2px rgba(0,0,0,0.75);
  font-weight: 800;
  scale: 0.8;
}

.booking-listing-header {
  display: inline-flex;
  vertical-align: middle;
}

.booking-listing-header h1 {
  float: left;
  font-size: 20px;
  font-weight: 600;
  color: #000;
}

.booking-listing-header-ad {
  float: left;
  clear: both;
  font-size: 12px;
  color: #666;
  margin-top: -4px;
  margin-bottom: -20px;
}

.booking-listing-header * {
  display: inline-block;
}

.booking-listing-stars {
  color: rgb(207, 159, 0);
  margin-left: 10px;
  padding: 2px;
  border-radius: 4px;
}

.booking-listing-rating-container {
  position: absolute;
  right: 20px;
  height: 42px;
  display: block;
  border-radius: 8px;
}

.booking-listing-rating {
  margin-right: 4px;
  padding: 2px;
  height: 42px;
  border-radius: 8px;
}

.booking-listing-rating span {
  float: right;
  clear: both;
}

.booking-listing-rating span:last-child {
  font-size: 10px;
  font-weight: 400;
  margin-top: -2px;
}

.booking-listing-rating span:first-child {
  font-weight: 600;
}

.booking-listing-rating-box {
  float: right;
  height: 42px;
  width: 42px;
  background-color: rgb(10, 100, 27);
  color: white;
  border-radius: 8px;
  padding: 10px;
  font-size: 15px;
}


.booking-listing-main {
  display: table-cell;
  max-height: 200px !important;
  vertical-align: top;
  padding: 10px;
  border-radius: 8px;
}

.booking-listing-detail {
  display: flex;
  align-items: flex-end;
  margin-top: 58px;
}

.booking-listing-detail-features {
  float: left;
  padding-left: 4px;
  padding-right: 6px;
  border-top-right-radius: 6px;
  border-bottom-right-radius: 6px;
  border-left: 4px solid #ddd;
}

.booking-listing-detail-roominfo {
  clear: both;
  float: left;
  color: #222;
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 2px;
}

.booking-listing-detail-feature {
  clear: both;
  float: left;
  color: rgb(10, 100, 27);
  font-size: 12px;
  font-weight: 600;
}

.booking-listing-detail-scarcity {
  clear: both;
  float: left;
  color: rgb(135, 0, 0);
  font-size: 12px;
  font-weight: 600;
}

.booking-listing-detail-price {
  padding-right: 4px;
  padding-left: 4px;
  border-radius: 6px;
}

.booking-listing-detail-price-value {
  float: right;
  clear: both;
  font-size: 18px;
  font-weight: 600;
  vertical-align: middle;
}

.booking-listing-detail-price-previous {
  font-size: 14px;
  color: rgb(135, 0, 0);
  font-weight: 500;
  text-decoration: line-through;
}

.booking-listing-detail-price-detail {
  float: right;
  clear: both;
  font-size: 12px;
  color: #666;
}

.booking-listing-detail-price button {
  float: right;
  clear: both;
  font-size: 14px;
  color: white;
  background-color: rgb(10, 100, 27);
  padding: 8px 12px;
  border-radius: 6px;
  margin-top: 10px;
}


.booking-listing-notavailable {
  width: 100%;
  border: 1px solid #666;
  border-radius: 8px;
  margin-bottom: 10px;
  padding: 14px;
  font-weight: 550;
}

.booking-listing-notavailable > button {
  float: right;
  font-weight: 300;
  color: #666;
  margin-right: 4px;
}





/******************************************************************************
*
*  BOOKING DETAILS
*
*******************************************************************************/

div:has(> .booking-detail-save-now-overlay) {
  position: absolute;
  left: 0px;
  right: 0px;
  top: 0px;
  bottom: 0px;
}

.booking-detail-save-now-overlay {
  position: absolute;
  left: 0px;
  right: 0px;
  top: 0px;
  bottom: 0px;
  background-color: rgba(0,0,0,0.75);
  display: flex;
  justify-content: center;
  align-items: center;
}

.booking-detail-save-now-overlay-inner {
  position: relative;
  width: 400px;
  height: fit-content;
  background-color: #fff;
  border-radius: 20px;
  margin: auto;
  color: #111;
  padding: 25px;
  box-shadow: 0px 0px 5px 2px rgb(10, 100, 27);
}

.booking-detail-close-nagging {
  position: absolute;
  padding: 8px;
  top: 0px;
  right: 8px;
  font-size: 20px;
  font-weight: 400;
  z-index: 1000;
}

.booking-detail-save-now-overlay-inner h1 {
  font-size: 22px;
  font-weight: 500;
  width: fit-content;
  color: #111
}

.booking-detail-save-now-overlay-inner p {
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 17px;
}

.booking-detail-save-now-btns {
  border-radius: 6px;
  width: 100%;
}

.booking-detail-save-now-btn-1 {
  background-color: rgb(10, 100, 27);
  color: #fff;
  padding: 4px 12px;
  border-radius: 6px;
}

.booking-detail-save-now-btn-2 {
  float: right;
  padding: 4px 12px;
  border-radius: 6px;
}




.booking-details-menu {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  color: #111;
}

.booking-details-menu > button {
  flex-basis: 100%;
  flex-wrap: nowrap;
  justify-content: flex-start;
  padding: 4px 16px;
  border-bottom: 1px solid #bbb;
  font-size: 15px;
  font-weight: 500;
}

.booking-details-menu > button:first-child {
  border-bottom: 3px solid rgb(10, 100, 27);
  padding-bottom: 3px;
}


.booking-details-main-image {
  width: 40% !important;
  height: 450px !important;
  float: left;
  border: 2px solid rgb(10, 100, 27);
  object-fit: cover;
  margin-bottom: 20px;
}



.booking-detail-headline {
  float: right;
  width: calc(60% - 20px) !important;
  height: 450px !important;
  color: #111;
  display: flex;
  flex-flow: column;
}

.booking-detail-subheadline {
  vertical-align: middle;
  margin-top: 10px;
}

.booking-detail-subheadline > .reserve-button {
  float: right;
  padding: 4px 20px;
  background-color: rgb(10, 100, 27);
  border: 2px solid rgb(10, 100, 27);
  color: white;
  font-size: 18px;
  line-height: 20px;
  font-weight: 600; 
  border-radius: 6px;
}

.booking-detail-subheadline > .reserve-button > small {
  margin-top: -10px !important;
}

.booking-detail-subheadline > .love-button {
  float: right;
  vertical-align: middle;
  font-weight: 600;
  font-size: 24px !important;
  margin-right: 15px;
  margin-top: 10px;
}

.booking-detail-starrating {
  position: relative;
  float: left;
  color: #ffbb00;
  margin-top: 12px;
  margin-left: 5px;
}


.booking-detail-preferred-partner {
  position: relative;
  float: left;
  width: fit-content;
  height: fit-content;
  padding: 6px;
  border-radius: 5px;
  margin-left: 6px;
  margin-top: 6px;
  vertical-align: middle;
}

.booking-detail-preferred-partner > span {
  position: relative;
  background-color: #ffbb00;
  border-radius: 5px;
  width: 24px !important;
  height: 24px !important;
  top: -1.5px;
  left: -0.5px;
  font-size: 10px !important;
  padding: 6px;
}

.booking-detail-preferred-partner > span > span {
  filter: grayscale() brightness(1000%);
}


p {
  color: black;
}

.booking-detail-clear {
  clear: both;
}

.booking-detail-hotel-name {
  width: fit-content;
  margin-right: auto;
  padding: 4px;
  border-radius: 6px;
  flex: 0 1 auto;
}

.booking-detail-hotel-name > h1 {
  font-size: 28px;
  font-weight: 600;
  color: #000;
}

.booking-detail-hotel-name > h4 {
  font-size: 15px;
  font-weight: 400;
  line-height: 18px;
  text-wrap: nowrap;
  color: #000;
}

.booking-detail-hotel-name > h4 > small {
  color: #555;
}

.booking-detail-more-images {
  position: relative;
  height: 220px;
  width: fit-content;
  margin-top: auto;
  padding: 10px;
  overflow: hidden;
  border-radius: 10px;
}

.booking-detail-more-images > div {
  position: relative;
  width: max-content;
  height: 100%;
}

.booking-detail-more-images > div > img {
  position: relative;
  float: left;
  height: 100%;
  aspect-ratio: 1;
  object-fit: cover;
  overflow: hidden;
  border: 1px solid rgb(10, 100, 27);
  margin-right: 20px;
}

.booking-detail-more-images > div > img:last-of-type {
  margin-right: 0px;
}

.with-overlay:after {
  content: attr(data-text);
  position: absolute;
  top: 0px; 
  left: 0px;
  right: 0px;
  bottom: 0px;
  padding: 0px;
  background: rgba(0,0,0,0.5);
  color: #fff;
  font-size: 20px;
  font-weight: 700;
  text-align: center;
  display: block;
  justify-content: center;
  align-items: center;
  opacity: 1;
}

.booking-detail-highlights {
  color: #111;
  width: fit-content;
  padding: 10px;
  border-radius: 8px;
  margin-bottom: 20px;
}

.booking-detail-highlights > div {
  display: inline-block;
  padding: 8px 20px;
  border: 1px solid #111;
  border-radius: 6px;
  margin-right: 10px;
  text-wrap: nowrap;
}


.booking-detail-property-description {
  border-radius: 8px;
  padding: 10px;
  z-index: 1000;
  width: calc(100% - 310px);
}

.booking-detail-property-highlights {
  float: right;
  color: #111;
  background-color: rgb(10, 100, 27, 0.3);
  padding: 10px;
  margin-left: 20px;
  height: fit-content;
  width: 280px;
  z-index: 100;
}


.booking-detail-property-highlights h2 {
  font-size: 20px;
  font-weight: 500;
  color: #000;
}

.booking-detail-property-highlights h3 {
  font-size: 18px;
  font-weight: 550;
  margin-top: 12px;
  color: #000;
}


.booking-detail-price-table {
  color: #111;
  margin-bottom: 20px;
}

.booking-detail-price-table-inner {
  padding: 10px;
  border-radius: 10px;
}

.booking-detail-price-table > h2 {
  font-size: 22px;
  font-weight: 550;
  margin-bottom: 5px;
  padding: 10px;
}


.booking-detail-searchbar {
  position: static !important;
  top: 50px;
  width: 720px;
  -ms-transform: none;
  transform: none;
  margin: 0px 10px;
}

.booking-detail-price-table table {
  width: 100%;
  border: 1px solid #111;
  background-color: #fff;
  text-indent: 0;
  border-color: inherit;
  border-collapse: collapse;
}

.booking-detail-price-table table thead, 
.booking-detail-price-table table td, 
.booking-detail-price-table table th {
  border: 1px solid #111;
}

.booking-detail-price-table th {
  padding: 4px 12px;
  background-color: rgb(10, 100, 27);
  color: #fff;
}

.booking-detail-price-table td {
  padding: 4px 12px;
}

.booking-detail-silhoutte {
  filter: grayscale() brightness(0%);
}

.booking-detail-room-count {
  width: 100%;
}

.booking-detail-room-count-select {
  width: 100%;
  border-color: #e5e7eb;
  font-size: 100%;
}

.booking-detail-table-booking-button > button {
  background-color: rgb(10, 100, 27);
  color: #fff;
  padding: 8px 20px;
  border: 1px solid #eee;
  border-radius: 8px;
  width: 100%;
}

.booking-detail-price-table-guests {
  width: 120px !important;
}

.booking-detail-price-table-rooms {
  width: 80px !important;
}

.booking-detail-room-choices {
  font-size: 14px;
}

.booking-detail-room-bed {
  font-weight: 550;
}

.booking-detail-room-choices > span {
  display: block;
  margin-bottom: 4px;
  width: fit-content;
}

.booking-detail-room-choices > span.bold {
  font-weight: 600;
}

.booking-detail-room-choices > span.green {
  color: rgb(10, 100, 27);
}

.booking-detail-room-choices > span.red {
  color: rgb(135, 0, 0);
}

.room-selector {
  padding: 10px;
  border-radius: 8px;
}

.booking-detail-urgency-info {
  color: #111;
  border: 1px solid #111;
  border-radius: 8px;
  padding: 12px 20px;
  margin-right: 10px;
  margin-left: 10px;
}


/******************************************************************************
*
*  UNSUBSCRIBE
*
*******************************************************************************/

.booking-unsubscribe-wrapper {
  color: #111;
}

.booking-unsubscribe-wrapper > h3 {
  font-size: 20px;
  font-weight: 600;
  padding-left: 6px;
  color: #000;
}

.booking-unsubscribe-account-image {
  font-size: 10px;
  filter: brightness(0) saturate(100%) invert(24%) sepia(100%) saturate(7313%) hue-rotate(154deg) brightness(91%) contrast(106%);
}

label {
  color: #111;
}

.booking-unsubscribe-button-wrapper {
  width: fit-content;
  margin-top: 8px;
  vertical-align: baseline;
  border-radius: 6px;
  padding: 6px;
}

.booking-unsubscribe-form-inner {
  padding: 5px;
  padding-bottom: 8px;
  border-radius: 5px;
}

.booking-unsubscribe-form {
  width: fit-content;
  padding: 6px 8px;
  border-radius: 6px;
}

.booking-unsubscribe-form > p {
  margin-top: 5px;
  margin-bottom: 8px;
}

.booking-unsubscribe-form form {
  width: fit-content;
}

.booking-unsubscribe-form input[type=text] {
  accent-color: rgb(10, 100, 27);
  padding: 8px 12px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box; 
}

.booking-unsubscribe-button-update, 
.booking-unsubscribe-button-email, 
.booking-unsubscribe-button-confirm {
  background-color: rgb(10, 100, 27);
  height: 100%;
  border-radius: 6px;
  border: 1px solid #bbb;
  color: #fff;
  padding: 4px 12px;
  font-size: 16px;
  font-weight: 500;
}

.booking-unsubscribe-button-continue {
  font-size: 12px;
  color: #444;
  margin-left: 20px;
  margin-right: 20px;
}

.booking-unsubscribe-email-textfield {
  width: 300px;
  border: 1px solid #666;
  border-radius: 6px;
  padding: 4px 8px;
  margin-bottom: 10px;
}

.booking-unsubscribe-email-p {
  border-radius: 6px;
}

.booking-unsubscribe-final-confirmshaming {
  width: fit-content;
  padding: 4px;
  border-radius: 6px;
}